Bug 1818910 - Sqlite RpmDB
Summary: Sqlite RpmDB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Depends On: 1818907 1820579 1826658
Blocks: 1787311 F33Changes
TreeView+ depends on / blocked
 
Reported: 2020-03-30 16:53 UTC by Ben Cotton
Modified: 2020-10-27 14:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 14:47:29 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-03-30 16:53:19 UTC
This is a tracking bug for Change: Sqlite RpmDB
For more details, see: https://fedoraproject.org/wiki/Changes/Sqlite_Rpmdb

Change format of the RPM database from Berkeley DB to a new Sqlite format.

Comment 1 Panu Matilainen 2020-05-07 06:47:17 UTC
Default rpmdb backend switched to sqlite as of rpm >= 4.15.90-0.git14971.11

Comment 2 Panu Matilainen 2020-05-12 09:39:42 UTC
Some specifically tested scenarios with images from May 11th:
- fresh install of rawhide (server) is installed directly using sqlite database
- upgrade from f32 (server) with both system-upgrade and distro-sync converts rpmdb to sqlite on next reboot automatically
- livecd (workstation) using sqlite database once booted

No rpm-specific issues noted in any of the above.

Comment 3 Adam Williamson 2020-05-22 17:50:54 UTC
The above comment implies that conversion on upgrade has been implemented, but the Change page "dependencies" and "release notes" sections read like this isn't decided yet. Does the Change page need updating?

Comment 4 Panu Matilainen 2020-05-25 07:36:34 UTC
Oops, indeed. Updated now, thanks for pointing that out!

Comment 5 Panu Matilainen 2020-06-25 07:42:16 UTC
Koji builds still using bdb backend, switch to mock bootstrap and thus sqlite as rpmdb is expected some time after the data center move has completed.

Comment 6 Anatoli Babenia 2020-06-26 10:40:04 UTC
Is there a diagram of database structure? Or if you can attach the database here I can build a diagram myself.

I am interested if I will be able to find some of these fields in the new DB.


    name
    old, new version - either normal version without epoch, or "none"
    one line description - what the package is about
    changes - between installed and new version
    if update is critical - what are CVEs
    what packages are system installed (blue), what are user installed (yellow) and
    what are their automatic dependencies (white)
    full package description


Originally asked here https://github.com/rpm-software-management/libdnf/issues/962#issuecomment-635891894

Comment 7 Ben Cotton 2020-08-11 13:10:26 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 8 Ben Cotton 2020-08-27 01:11:53 UTC
Yesterday we reached the Code complete (100% code complete) deadline for Fedora 33 Changes. If your Change is complete, please set this tracking bug to ON_QA. If you need to defer this Change to Fedora 34, please let NEEDINFO me.

As a reminder, we are now in the Beta Freeze. If you need to land package updates, please propose it as a Freeze Exception at https://qa.fedoraproject.org/blockerbugs/propose_bug

Comment 9 Panu Matilainen 2020-08-27 07:05:15 UTC
The feature is complete from rpm point of view.

Koji has not been updated to use mock bootstrap so builds (packages and images) are falling back to using BDB as the db backend but this is beyond our control, and is not a reason to defer.

Comment 10 Ben Cotton 2020-10-27 14:47:29 UTC
Closing tracking bugs for F33. If your change didn't make it into F33 for some reason, please reopen this and NEEDINFO me.


Note You need to log in before you can comment on or make changes to this bug.